float4x4 matWVP;

struct VS_DIFF_IN
{
	float3 Pos : POSITION;
    float4 Diff : COLOR0;
};

struct VS_DIFF_OUT
{
	float4 PosT : POSITION;
    float4 Diff : COLOR0;
};

VS_DIFF_OUT VSTransform(VS_DIFF_IN i)
{
    VS_DIFF_OUT o;
    
	o.PosT = mul(float4(i.Pos, 1), matWVP);
        
	o.Diff = i.Diff;

	return o;
}

float4 PSDiffuse(float4 Diff : COLOR0) : COLOR
{
	return Diff;
}

technique Render
{
    pass P0
    {
        VertexShader = compile vs_2_0 VSTransform();
        PixelShader  = compile ps_2_0 PSDiffuse();
    }
}